# AggregateFunction.GenericArithmeticMeanOfBounds (ARX GUI Documentation)

org.deidentifier.arx.aggregates

## Class AggregateFunction.GenericArithmeticMeanOfBounds<T>

- java.lang.Object
- - org.deidentifier.arx.aggregates.AggregateFunction<T>
  - - org.deidentifier.arx.aggregates.AggregateFunction.GenericArithmeticMeanOfBounds<T>

- Type Parameters:
    `T` -
  All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    AggregateFunction<T>

      public static class AggregateFunction.GenericArithmeticMeanOfBounds<T>
      extends AggregateFunction<T>

  An aggregate function that returns the arithmetic mean of min & max, if it may be computed, "NULL" otherwise.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.deidentifier.arx.aggregates.AggregateFunction

      `AggregateFunction.AggregateFunctionBuilder<T>, AggregateFunction.AggregateFunctionWithParameter<T>, AggregateFunction.GenericArithmeticMean<T>, AggregateFunction.GenericArithmeticMeanOfBounds<T>, AggregateFunction.GenericBounds<T>, AggregateFunction.GenericCommonPrefix<T>, AggregateFunction.GenericConstant<T>, AggregateFunction.GenericGeometricMean<T>, AggregateFunction.GenericGeometricMeanOfBounds<T>, AggregateFunction.GenericInterval<T>, AggregateFunction.GenericSet<T>, AggregateFunction.GenericSetOfPrefixes<T>`

  - ### Field Summary

    - ### Fields inherited from class org.deidentifier.arx.aggregates.AggregateFunction

      `type`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `aggregate(java.lang.String[] values)` This function returns an aggregate value.
    `java.lang.String` | `toLabel()` Returns a label.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.deidentifier.arx.aggregates.AggregateFunction

      `forType, hasParameter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### aggregate

          public java.lang.String aggregate(java.lang.String[] values)

      Description copied from class: `AggregateFunction`
      This function returns an aggregate value.
      Specified by:
        `aggregate` in class `AggregateFunction<T>`
      Returns:

    - #### toLabel

          public java.lang.String toLabel()

      Description copied from class: `AggregateFunction`
      Returns a label.
      Specified by:
        `toLabel` in class `AggregateFunction<T>`
      Returns:

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in class `AggregateFunction<T>`